<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_bd.php");
require_once($config->diretorio_raiz()."/src/model/Bi_operadores.php");
class Bi_operadoresDAO
{
	private $_funcoes_bd;
	private $_banco_atual;
	private $conexao;
	function __construct()
	{
		$this->conexao = Conexao::obterConexao();
		$this->_banco_atual = Conexao::getUtilizarBanco();
		$this->_funcoes_bd = new Funcoes_bd();
	}
	public function salvar($bi_operadores)
	{
		$inputs = array();
		if($bi_operadores->getCodigo() != "")
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_operadores->getCodigo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>null));
		}
		try
		{
			$sql = "INSERT INTO bi_operadores (codigo) VALUES (:codigo)  ";
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function buscarBi_operadores($codigo)
	{
		$inputs = array();
		array_push($inputs, array('campo'=>':codigo', 'valor'=>$codigo));
		$sql = "SELECT * FROM bi_operadores where codigo = :codigo "; 
		$bi_operadores = new Bi_operadores();
		$rows_bi_operadores = $this->_funcoes_bd->sqlArrayInputs($sql, $inputs);
		foreach ($rows_bi_operadores as $row)
		{
			$bi_operadores->setCodigo($row['codigo']);
		}
		return $bi_operadores;
	}
	public function buscarFiltro($where)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_operadores  ".$where;
		$lista_bi_operadores = array();
		$rows_bi_operadores = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_operadores as $row)
		{
			$bi_operadores = new Bi_operadores();
			$bi_operadores->setCodigo($row['codigo']);
			array_push($lista_bi_operadores, $bi_operadores);
		}
		return $lista_bi_operadores;
	}
	public function atualizar($bi_operadores)
	{
		$inputs = array();
		if($bi_operadores->getCodigo() != "")
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_operadores->getCodigo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>null));
		}
		try
		{
			$sql = "UPDATE  bi_operadores  SET codigo = :codigo WHERE codigo = :codigo  ";
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function excluir($bi_operadores)
	{
		try
		{
			$sql = "DELETE FROM bi_operadores  WHERE codigo =  :codigo ";
			$inputs = array();
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_operadores->getCodigo()));
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function listarTodosRegistros()
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_operadores";
		$listaBi_operadores = array();
		$rows_bi_operadores = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_operadores as $row)
		{
			$bi_operadores = new Bi_operadores();
			$bi_operadores->setCodigo($row['codigo']);
			array_push($listaBi_operadores,$bi_operadores );
		}
		return $listaBi_operadores;
	}
}